#
# spec file for "picocontainer"
#
# Copyright (c) 2018 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           picocontainer
Version:        1.3.7
Release:        3.9.uyuni3
License:        BSD-3-Clause
Summary:        Dependeny injection framework
Url:            http://www.picocontainer.com
Group:          Development/Libraries/Java
Source0:        picocontainer-1.3.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  java-devel
BuildRequires:  ant
BuildArch:      noarch
Provides:       ant(:picocontainer) == 1.3
Requires:       java

%description
PicoContainer is a highly embeddable full service Inversion of Control (IoC) container for components honor the Dependency Injection pattern. The development started in 2003 and pioneered Constructor Injection auto-wiring.

%prep
%setup -q -n picocontainer-1.3

%build
ANT_OPTIONS="-Dant.build.javac.source=8 -Dant.build.javac.target=8"
ant install $ANT_OPTIONS

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a dist/picocontainer-1.3.jar %{buildroot}%{_javadir}/picocontainer-1.3.jar
ln -sf picocontainer-1.3.jar %{buildroot}%{_javadir}/picocontainer.jar

%files
%defattr(-,root,root)
%{_javadir}/*
%{!?_licensedir:%global license %doc}
%license LICENSE.txt

%changelog
* Tue May 16 2023 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Enforce Java 8 target for building.
* Tue Nov  6 2018 jcavalheiro@suse.com
- Install missing LICENSE.txt file (bsc#1114814)
* Thu Jan 25 2018 jbreuer@suse.de
- Adding symlink for picocontainer.jar in java lib extension folder
  for easier imports.
* Mon Jan 22 2018 jcavalheiro@suse.com
- Initial commit of picocontainer 1.3
